{% extends "layout.html" %}
{% block body %}

<form action="new_match" method=post class="form">
    <h2>Create New Match</h2>
    <div class="control-group">
        <div class="controls">
            <div style="overflow:hidden;">
                            <input type="text" name="matchtime" id="matchtime" class="input-xlare"
                                   data-dtp="dtp_mJndY" value="{{timestamp.strftime('%d.%m.%Y %H:%M')}}">

                <div class="dtp hidden" id="dtp_mJndY">
                    <div class="dtp-content" style="margin-left: 0px; top: 0px;">
                        <div class="dtp-date-view">
                            <header class="dtp-header">
                                <div class="dtp-actual-day">Lundi</div>
                                <div class="dtp-close"><a href="javascript:void(0);"><i class="material-icons">clear</i>
                                    <!--</div--></a></div>
                            </header>
                            <div class="dtp-date hidden">
                                <div>
                                    <div class="left center p10"><a href="javascript:void(0);"
                                                                    class="dtp-select-month-before"><i
                                            class="material-icons">chevron_left</i></a></div>
                                    <div class="dtp-actual-month p80">MAR</div>
                                    <div class="right center p10"><a href="javascript:void(0);"
                                                                     class="dtp-select-month-after"><i
                                            class="material-icons">chevron_right</i></a></div>
                                    <div class="clearfix"></div>
                                </div>
                                <div class="dtp-actual-num">13</div>
                                <div>
                                    <div class="left center p10"><a href="javascript:void(0);"
                                                                    class="dtp-select-year-before"><i
                                            class="material-icons">chevron_left</i></a></div>
                                    <div class="dtp-actual-year p80">2014</div>
                                    <div class="right center p10"><a href="javascript:void(0);"
                                                                     class="dtp-select-year-after"><i
                                            class="material-icons">chevron_right</i></a></div>
                                    <div class="clearfix"></div>
                                </div>
                            </div>
                            <div class="dtp-time hidden">
                                <div class="dtp-actual-maxtime">23:55</div>
                            </div>
                            <div class="dtp-picker">
                                <div class="dtp-picker-calendar"></div>
                                <div class="dtp-picker-datetime hidden">
                                    <div class="dtp-actual-meridien">
                                        <div class="left p20"><a class="dtp-meridien-am"
                                                                 href="javascript:void(0);">AM</a></div>
                                        <div class="dtp-actual-time p60"></div>
                                        <div class="right p20"><a class="dtp-meridien-pm"
                                                                  href="javascript:void(0);">PM</a></div>
                                        <div class="clearfix"></div>
                                    </div>
                                    <div id="dtp-svg-clock"></div>
                                </div>
                            </div>
                        </div>
                        <div class="dtp-buttons">
                            <button class="dtp-btn-now btn btn-flat hidden">Now</button>
                            <button class="dtp-btn-clear btn btn-flat hidden">Clear</button>
                            <button class="dtp-btn-cancel btn btn-flat">Cancel</button>
                            <button class="dtp-btn-ok btn btn-flat">OK</button>
                            <div class="clearfix"></div>
                        </div>
                    </div>
                </div>


            </div>
            <br/>
            Match Quality = {{ quality }}<br/>
            Expected Result = {{expected_result_t1}}:{{expected_result_t2}}
            <div>
    <div style="float: left; width: 50%">Team 1 Vorne <select name="team1_player1">

         {% if quality >=0 %}
        <option value="{{ team1[0].id }}" >{{ team1[0].player_name }}</option>
        <option value="{{ team1[1].id }}" >{{ team1[1].player_name }}</option>
        <option value=null>Select Player</option>
        {% else %}
         <option value=null>Select Player</option>
        {%- for player in team1 %}
            <option value="{{ player.id }}" >{{ player.player_name }}</option>
            {%- endfor %}
        {% endif %}
        </select> <br/>
        Team 1 Hinten<select name="team1_player2">
                            {% if quality >=0 %}
        <option value="{{ team1[1].id }}" >{{ team1[1].player_name }}</option>
        <option value="{{ team1[0].id }}" >{{ team1[0].player_name }}</option>
            <option value=null>Select Player</option>
        {% else %}
             <option value=null>Select Player</option>
        {%- for player in team1 %}
            <option value="{{ player.id }}" >{{ player.player_name }}</option>
            {%- endfor %}
        {% endif %}
        </select><br/>
        Result Team1: <select class="score" name="result_team1">
            <option value=10 selected>10</option>
            <option value=9>9</option>
            <option value=8>8</option>
            <option value=7>7</option>
            <option value=6>6</option>
            <option value=5>5</option>
            <option value=4>4</option>
            <option value=3>3</option>
            <option value=2>2</option>
            <option value=1>1</option>
            <option value=0>0</option>
        </select>
    </div>
    <div style="float: right; width: 50%">Team 2 Vorne<select name="team2_player1">

        {% if quality >=0 %}
        <option value="{{ team2[0].id }}" >{{ team2[0].player_name }}</option>
        <option value="{{ team2[1].id }}" >{{ team2[1].player_name }}</option>
        <option value=null>Select Player</option>
        {% else %}
         <option value=null>Select Player</option>
        {%- for player in team2 %}

            <option value="{{ player.id }}" >{{ player.player_name }}</option>
            {%- endfor %}
        {% endif %}

        </select>
            <br/>

            Team 2 Hinten<select name="team2_player2">

                    {% if quality >= 0 %}
        <option value="{{ team2[1].id }}" >{{ team2[1].player_name }}</option>
        <option value="{{ team2[0].id }}" >{{ team2[0].player_name }}</option>
            <option value=null>Select Player</option>
        {% else %}
         <option value=null>Select Player</option>
            {%- for player in team2 %}

            <option value="{{ player.id }}" >{{ player.player_name }}</option>
            {%- endfor %}
        {% endif %}
        </select><br/>      Result Team2: <select class="score"  name="result_team2">
            <option value=10 selected>10</option>
            <option value=9>9</option>
            <option value=8>8</option>
            <option value=7>7</option>
            <option value=6>6</option>
            <option value=5>5</option>
            <option value=4>4</option>
            <option value=3>3</option>
            <option value=2>2</option>
            <option value=1>1</option>
            <option value=0>0</option>
        </select></div>
</div>
            <br/>






    <div class="control-group">
        <div class="controls">
            <div id="notification"></div>
            <button type="submit" class="btn btn-default" id="submit" >Create Match
            </button>
            <a class="btn btn-default" href="{{ url_for('list_matches') }}">Back to list</a>
        </div>
    </div>
    <script type="text/javascript">
var selects = document.querySelectorAll('select:not(.score)'),
    notify = document.getElementById('notification');
function getOthers(current){
    var values = [];
    for(var i=0;i<selects.length;i++){
        if(selects[i].value!='null' && selects[i]!=current)
            values.push(selects[i].value);
            }

    return values;
}
    function checkUnique(){
        if(this.value && getOthers(this).indexOf(this.value)>-1){
            notify.innerText = 'You already selected that';
            this.value = null;
        }
    }
for(var i=0;i<selects.length;i++)
    selects[i].onchange = checkUnique;
document.getElementById('submit').onclick = function(){
    var values = getOthers();
    if(values.length < 4){
        notify.innerText = 'select all 4 players';
        return false;
    }
    notify.innerText = '';
    return true;
}


    </script>
            </div></div>
        <script type="text/javascript">
        $('#matchtime').bootstrapMaterialDatePicker({ format : 'DD.MM.YYYY HH:mm', lang : 'de', weekStart : 1, cancelText : 'CANCEL' });

</script>
</form>

{% endblock %}